services:
  telnowedge_user_logger:
    class: Symfony\Bridge\Monolog\Logger
    factory: 'Telnowedge\BaseBundle\Logger\Logger::getLoggerFactory'
    arguments:
      $logger: '@logger'
    tags:
      - {name: monolog.logger, channel: telnowedge_user}

  Telnowedge\UserBundle\Util\VoicemailUtil:
    arguments:
      $freePbxContainer: '@freepbx_container'

  Telnowedge\UserBundle\Util\RecordingUtil:
    arguments:
      $freePbxContainer: '@freepbx_container'

  Telnowedge\UserBundle\Manager\FormManager:
    calls:
      - method: setContainer
        arguments:
          - '@service_container'

  Telnowedge\UserBundle\Form\UserProvisionType:
    calls:
      - method: setContainer
        arguments:
          - '@service_container'
    tags:
      - "form.type"

  Telnowedge\UserBundle\Form\AcPrefType:
    calls:
      - method: setContainer
        arguments:
          - '@freepbx_container'
    tags:
      - "form.type"

  Telnowedge\UserBundle\Form\AcPrefFavoriteType:
    calls:
      - method: setContainer
        arguments:
          - '@freepbx_container'
    tags:
      - "form.type"

  Telnowedge\UserBundle\Validator\Constraints\IsExtensionValidator:
    calls:
      - method: setFreePbxContainer
        arguments:
          - '@freepbx_container'
    tags: [validator.constraint_validator]

  Telnowedge\UserBundle\Validator\Constraints\IsQueueValidator:
    calls:
      - method: setFreePbxContainer
        arguments:
          - '@freepbx_container'
    tags: [validator.constraint_validator]
